@echo off

cls
echo.
echo. *****************************
echo. * Welcome to ROKS for EDGE! *
echo. *****************************
echo.
echo.     Engine menu:
echo.
echo.        1 - EDGE   (use in pure DOS, or from a Windows 9x DOS box)
echo.        2 - EDGE32 (use in Windows 9x, WinNT, or Windows 2000)
echo.        3 - EXIT
echo.
choice /c:123 /n Select an engine:
if errorlevel=3 goto finis
if errorlevel=2 goto edge32
if errorlevel=1 goto edge

:edge
if not exist edge.exe goto edge_error
cls
edge -file roksedge.wad %1 %2 %3 %4 %5 %6 %7 %8 %9
echo.
goto thanks

:edge32
if not exist edge32.exe goto edge32_error
cls
echo.
echo. NOTICE:
echo.        EDGE32 might take a minute to startup on slower systems
echo.        due to the weirdness of Direct Draw. When ROKS for EDGE
echo.        loads using EDGE32, give it a minute and it should come
echo.        up fine.
echo.
echo.        Don't assume your computer has locked up.
echo.
echo. Press enter to continue...
pause > nul
echo.
cls
edge32 -file roksedge.wad %1 %2 %3 %4 %5 %6 %7 %8 %9
echo.
goto thanks

:edge_error
cls
echo.
echo. **********
echo. * ERROR! *
echo. **********
echo.
echo. EDGE.EXE was not found in the currect directory.
echo.
echo. Make sure you unzipped ROKSEDGE.ZIP in your DOOM2 directory, 
echo. then run ROKSEDGE.BAT there.
echo.
goto finis

:edge32_error
cls
echo.
echo. **********
echo. * ERROR! *
echo. **********
echo.
echo. EDGE32.EXE was not found in the currect directory.
echo.
echo. Make sure you unzipped ROKSEDGE.ZIP in your DOOM2 directory, 
echo. then run ROKSEDGE.BAT there.
echo.
goto finis

:thanks
echo.
echo. Thanks for playing ROKS for EDGE!
echo.
echo. Send all comments and bug reports to: marcpullen@mindspring.com
echo.

:finis